<?php
/**
 * @version    $Id$
 * @package    JSN_PageBuilder_4
 * @author     JoomlaShine Team <support@joomlashine.com>
 * @copyright  Copyright (C) 2012 JoomlaShine.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.joomlashine.com
 * Technical Support:  Feedback - http://www.joomlashine.com/contact-us/get-support.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

define('JSN_PAGEBUILDER4_DEPENDENCY', '[{"type":"plugin","folder":"system","name":"jsnextfw","identified_name":"ext_framework2","publish":"1","lock":"1","title":"JSN Extension Framework G2 System Plugin"},{"type":"plugin","folder":"editors","name":"pagebuilder4","publish":"1","lock":"1","dir":"plugins\/editors\/pagebuilder4","title":"JSN PageBuilder 4 Editor Plugin","params":null},{"type":"plugin","folder":"editors-xtd","name":"pagebuilder4","publish":"1","lock":"1","dir":"plugins\/editors-xtd\/pagebuilder4","title":"JSN PageBuilder 4 Editor Button Plugin","params":null},{"type":"plugin","folder":"pagebuilder4","name":"integration","publish":"1","lock":"1","dir":"plugins\/pagebuilder4\/integration","title":"JSN PageBuilder 4 Integration Plugin","params":null},{"type":"plugin","folder":"system","name":"pagebuilder4","publish":"1","lock":"1","dir":"plugins\/system\/pagebuilder4","title":"JSN PageBuilder 4 System Plugin","params":null}]');

// Define product identified name and version
define('JSN_PAGEBUILDER4_IDENTIFIED_NAME', 'ext_pagebuilder4');
define('JSN_PAGEBUILDER4_VERSION', '1.0.0');

// Define required Joomla version
define('JSN_PAGEBUILDER4_REQUIRED_JOOMLA_VER', '3.0');

// Define some necessary links
define('JSN_PAGEBUILDER4_INFO_LINK', 'http://www.joomlashine.com/joomla-extensions/jsn-pagebuilder.html');
define('JSN_PAGEBUILDER4_DOC_LINK', 'https://www.joomlashine.com/documentation/jsn-extensions/jsn-pagebuilder/jsn-pagebuilder-4.html');
define('JSN_PAGEBUILDER4_FORUM_LINK', 'https://www.joomlashine.com/forums/jsn-extensions/jsn-pagebuilder-4.html');
define('JSN_PAGEBUILDER4_VIDEO_LINK', '#');
define('JSN_PAGEBUILDER4_REVIEW_LINK', '#');
define('JSN_PAGEBUILDER4_UPDATE_LINK', 'index.php?option=com_pagebuilder4&view=update');
define('JSN_PAGEBUILDER4_BUY_LINK', 'http://www.joomlashine.com/joomla-extensions/jsn-pagebuilder.html');
define('JSN_PAGEBUILDER4_LIVE_CHAT_URL', 'https://www.joomlashine.com/pagebuilder-livechat.php');

// Define documentation links for all elements in the editor app.
define(
	'JSN_PAGEBUILDER4_ELEMENT_DOCUMENTATION',
	json_encode(array(
		// Containers.
		'layout' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'tabs' => JSN_PAGEBUILDER4_DOC_LINK . '#tabs-element-261-1978',
		'accordions' => JSN_PAGEBUILDER4_DOC_LINK . '#accordion-element-261-1978',
		'slideshow' => JSN_PAGEBUILDER4_DOC_LINK . '#slideshow-element-261-1978',

		// Basic elements.
		'heading' => JSN_PAGEBUILDER4_DOC_LINK . '#heading-element-261-1978',
		'paragraph' => JSN_PAGEBUILDER4_DOC_LINK . '#paragraph-element-261-1978',
		'button' => JSN_PAGEBUILDER4_DOC_LINK . '#button-element-261-1978',
		'list' => JSN_PAGEBUILDER4_DOC_LINK . '#list-element-261-1978',
		'custom-html' => JSN_PAGEBUILDER4_DOC_LINK . '#custom-html-261-1978',

		// Media elements.
		'image' => JSN_PAGEBUILDER4_DOC_LINK . '#image-element-261-1978',
		'icon' => JSN_PAGEBUILDER4_DOC_LINK . '#icon-element-261-1978',
		'youtube-video' => JSN_PAGEBUILDER4_DOC_LINK . '#youtube-video-element-261-1978',
		'vimeo-video' => JSN_PAGEBUILDER4_DOC_LINK . '#vimeo-video-element-261-1978',
		'html-video' => JSN_PAGEBUILDER4_DOC_LINK . '#html-video-element-261-1978',
		'soundcloud' => JSN_PAGEBUILDER4_DOC_LINK . '#soundcloud-element-261-1978',
		'qrcode' => JSN_PAGEBUILDER4_DOC_LINK . '#qrcode-element-261-1978',
		'divider' => JSN_PAGEBUILDER4_DOC_LINK . '#divider-element-261-1978',

		// Social elements.
		'instagram' => JSN_PAGEBUILDER4_DOC_LINK . '#instagram-element-261-1978',
		'facebook-like' => JSN_PAGEBUILDER4_DOC_LINK . '#facebook-like-element-261-1978',
		'facebook-page' => JSN_PAGEBUILDER4_DOC_LINK . '#facebook-page-element-261-1978',
		'twitter' => JSN_PAGEBUILDER4_DOC_LINK . '#twitter-element-261-1978',

		// Advanced elements.
		'countdown-timer' => JSN_PAGEBUILDER4_DOC_LINK . '#countdown-timer-element-261-1978',
		'mailchimp-form' => JSN_PAGEBUILDER4_DOC_LINK . '#mailchimp-form-element-261-1978',
		'table' => JSN_PAGEBUILDER4_DOC_LINK . '#table-element-261-1978',
		'progress' => JSN_PAGEBUILDER4_DOC_LINK . '#progress-element-261-1978',
		'google-map' => JSN_PAGEBUILDER4_DOC_LINK . '#google-map-element-261-1978',

		// Joomla Article elements.
		'article-list' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-list-261-1978',
		'article-details' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-details-261-1978',
		'article-image' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-image-261-1978',
		'article-title' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-title-261-1978',
		'article-date' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-date-261-1978',
		'article-author' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-author-261-1978',
		'article-category' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-category-261-1978',
		'article-intro-text' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-intro-text-261-1978',
		'article-read-more' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-article-read-more-261-1978',

		// K2 Item elements.
		'k2-item-list' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-details' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-image' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-title' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-date' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-author' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-category' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-intro-text' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',
		'k2-item-read-more' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-k2-item-261-1978',

		// EasyBlog Post elements.
		'easyblog-post-list' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-details' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-image' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-title' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-date' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-author' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-category' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-intro-text' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',
		'easyblog-post-read-more' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-easyblog-post-261-1978',

		// Joomla Module element.
		'joomla-module' => JSN_PAGEBUILDER4_DOC_LINK . '#joomla-element-joomla-module-261-1978',

		// 3rd-party integration elements.
		'jsn-uniform' => JSN_PAGEBUILDER4_DOC_LINK . '#form-from-jsn-uniform-261-1978',

		// Pre-made section elements.
		'newsletter' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'testimonial' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'team-member' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'pricing-table' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'image-with-text' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'icon-with-text' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978',
		'image-with-text-overlay' => JSN_PAGEBUILDER4_DOC_LINK . '#layout-element-261-1978'
	))
);

