<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
$params = $this->params;
?>

<div id="archive-items">
	<?php foreach ($this->items as $i => $item) : ?>
		<?php $info = $item->params->get('info_block_position', 0); ?>
		<div class="row<?php echo $i % 2; ?>" itemscope itemtype="https://schema.org/Article">
			<div class="page-header">
				<h2 itemprop="headline" data-option data-linked="link_titles" data-linked-value="<?php echo $params->get('link_titles'); ?>">
					<?php echo $this->escape($item->title); ?>
				</h2>

				<?php // Content is generated by content plugin event "onContentAfterTitle" ?>
				<?php echo $item->event->afterDisplayTitle; ?>

				<?php //if ($params->get('show_author') && !empty($item->author )) : ?>
					<div class="createdby" itemprop="author" itemscope itemtype="https://schema.org/Person" data-option data-visibility="show_author" data-visibility-value="<?php echo $params->get('show_author'); ?>" data-linked="contact_link" data-linked-value="<?php echo $params->get('contact_link'); ?>">
						<?php $author = $item->created_by_alias ?: $item->author; ?>
						<span itemprop="name">
							<?php echo $author; ?>
						</span>
					</div>
				<?php //endif; ?>
			</div>
		<?php $useDefList = ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
			|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category')); ?>
		<?php if (/*$useDefList && */($info == 0 || $info == 2)) : ?>
			<div class="article-info muted">
				<dl class="article-info">
				<dt class="article-info-term">
					<?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?>
				</dt>

				<?php //if ($params->get('show_parent_category') && !empty($item->parent_slug)) : ?>
					<dd>
						<div class="parent-category-name" data-option data-visibility="show_parent_category" data-visibility-value="<?php echo $params->get('show_parent_category'); ?>" data-linked="link_parent_category" data-linked-value="<?php echo $params->get('link_parent_category'); ?>">
							<?php $title = $this->escape($item->parent_title); ?>
							<span itemprop="genre">
								<?php echo $title; ?>
							</span>
						</div>
					</dd>
				<?php //endif; ?>
				<?php //if ($params->get('show_category')) : ?>
					<dd>
						<div class="category-name" data-option data-visibility="show_category" data-visibility-value="<?php echo $params->get('show_category'); ?>" data-linked="link_category" data-linked-value="<?php echo $params->get('link_category'); ?>">
							<?php $title = $this->escape($item->category_title); ?>
							<span itemprop="genre">
								<?php echo $title; ?>
							</span>
						</div>
					</dd>
				<?php //endif; ?>

				<?php //if ($params->get('show_publish_date')) : ?>
					<dd>
						<div class="published" data-option data-visibility="show_publish_date" data-visibility-value="<?php echo $params->get('show_publish_date'); ?>">
							<span class="icon-calendar" aria-hidden="true"></span>
							<time datetime="<?php echo JHtml::_('date', $item->publish_up, 'c'); ?>" itemprop="datePublished">
								<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date', $item->publish_up, JText::_('DATE_FORMAT_LC3'))); ?>
							</time>
						</div>
					</dd>
				<?php //endif; ?>

				<?php if ($info == 0) : ?>
					<?php //if ($params->get('show_modify_date')) : ?>
						<dd>
							<div class="modified" data-option data-visibility="show_modify_date" data-visibility-value="<?php echo $params->get('show_modify_date'); ?>">
								<span class="icon-calendar" aria-hidden="true"></span>
								<time datetime="<?php echo JHtml::_('date', $item->modified, 'c'); ?>" itemprop="dateModified">
									<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date', $item->modified, JText::_('DATE_FORMAT_LC3'))); ?>
								</time>
							</div>
						</dd>
					<?php //endif; ?>
					<?php //if ($params->get('show_create_date')) : ?>
						<dd>
							<div class="create" data-option data-visibility="show_create_date" data-visibility-value="<?php echo $params->get('show_create_date'); ?>">
								<span class="icon-calendar" aria-hidden="true"></span>
								<time datetime="<?php echo JHtml::_('date', $item->created, 'c'); ?>" itemprop="dateCreated">
									<?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC3'))); ?>
								</time>
							</div>
						</dd>
					<?php //endif; ?>

					<?php //if ($params->get('show_hits')) : ?>
						<dd>
							<div class="hits" data-option data-visibility="show_hits" data-visibility-value="<?php echo $params->get('show_hits'); ?>">
								<span class="icon-eye-open"></span>
								<meta itemprop="interactionCount" content="UserPageVisits:<?php echo $item->hits; ?>" />
								<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $item->hits); ?>
							</div>
						</dd>
					<?php //endif; ?>
				<?php endif; ?>
				</dl>
			</div>
		<?php endif; ?>

		<?php // Content is generated by content plugin event "onContentBeforeDisplay" ?>
		<?php echo $item->event->beforeDisplayContent; ?>
		<?php //if ($params->get('show_intro')) : ?>
			<div class="intro" itemprop="articleBody" data-option data-visibility="show_intro" data-visibility-value="<?php echo $params->get('show_intro'); ?>">
				<?php echo JHtml::_('string.truncateComplex', $item->introtext, $params->get('introtext_limit')); ?>
			</div>
		<?php //endif; ?>

		<?php if (/*$useDefList && */($info == 1 || $info == 2)) : ?>
			<div class="article-info muted">
				<dl class="article-info">
				<dt class="article-info-term"><?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>

				<?php if ($info == 1) : ?>
					<?php if ($params->get('show_parent_category') && !empty($item->parent_slug)) : ?>
						<dd>
							<div class="parent-category-name" data-option data-visibility="show_parent_category" data-visibility-value="<?php echo $params->get('show_parent_category'); ?>" data-linked="link_parent_category" data-linked-value="<?php echo $params->get('link_parent_category'); ?>">
								<?php $title = $this->escape($item->parent_title); ?>
								<span itemprop="genre">
									<?php echo $title; ?>
								</span>
							</div>
						</dd>
					<?php endif; ?>
					<?php if ($params->get('show_category')) : ?>
						<dd>
							<div class="category-name" data-option data-visibility="show_category" data-visibility-value="<?php echo $params->get('show_category'); ?>" data-linked="link_category" data-linked-value="<?php echo $params->get('link_category'); ?>">
								<?php $title = $this->escape($item->category_title); ?>
								<span itemprop="genre">
									<?php echo $title; ?>
								</span>
							</div>
						</dd>
					<?php endif; ?>
					<?php if ($params->get('show_publish_date')) : ?>
						<dd>
							<div class="published" data-option data-visibility="show_publish_date" data-visibility-value="<?php echo $params->get('show_publish_date'); ?>">
								<span class="icon-calendar" aria-hidden="true"></span>
								<time datetime="<?php echo JHtml::_('date', $item->publish_up, 'c'); ?>" itemprop="datePublished">
									<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date', $item->publish_up, JText::_('DATE_FORMAT_LC3'))); ?>
								</time>
							</div>
						</dd>
					<?php endif; ?>
				<?php endif; ?>

				<?php if ($params->get('show_create_date')) : ?>
					<dd>
						<div class="create" data-option data-visibility="show_create_date" data-visibility-value="<?php echo $params->get('show_create_date'); ?>">
							<span class="icon-calendar" aria-hidden="true"></span>
							<time datetime="<?php echo JHtml::_('date', $item->created, 'c'); ?>" itemprop="dateCreated">
								<?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC3'))); ?>
							</time>
						</div>
					</dd>
				<?php endif; ?>
				<?php if ($params->get('show_modify_date')) : ?>
					<dd>
						<div class="modified" data-option data-visibility="show_modify_date" data-visibility-value="<?php echo $params->get('show_modify_date'); ?>">
							<span class="icon-calendar" aria-hidden="true"></span>
							<time datetime="<?php echo JHtml::_('date', $item->modified, 'c'); ?>" itemprop="dateModified">
								<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date', $item->modified, JText::_('DATE_FORMAT_LC3'))); ?>
							</time>
						</div>
					</dd>
				<?php endif; ?>
				<?php if ($params->get('show_hits')) : ?>
					<dd>
						<div class="hits" data-option data-visibility="show_hits" data-visibility-value="<?php echo $params->get('show_hits'); ?>">
							<span class="icon-eye-open"></span>
							<meta itemprop="interactionCount" content="UserPageVisits:<?php echo $item->hits; ?>" />
							<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $item->hits); ?>
						</div>
					</dd>
				<?php endif; ?>
			</dl>
		</div>
		<?php endif; ?>
		<?php // Content is generated by content plugin event "onContentAfterDisplay" ?>
		<?php echo $item->event->afterDisplayContent; ?>
	</div>
	<?php endforeach; ?>
</div>
<div class="pagination">
	<p class="counter"> <?php echo $this->pagination->getPagesCounter(); ?> </p>
	<?php echo $this->pagination->getPagesLinks(); ?>
</div>
